DIRCOLORS(1)

NAZWA
dircolors - konfiguracja kolorów dla `ls'

SKŁADNIA
dircolors [opcje]... [plik]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo dircolors
lub
    info dircolors.

dircolors wysyła sekwencję komend powłoki definiujących kolory dla ls (oraz dir itd.). Typowe wykorzystanie:

    eval `dircolors [opcje]... [plik]`

Jeśli podano plik, dircolors odczytuje go aby ustalić, jakiego koloru użyć dla konkretnego typu pliku czy rozszerzenia. W przeciwnym wypadku używana jest domyślna, wkompilowana baza danych. Aby uzyskać informacje o formacie tych plików, należy uruchomić `dircolors --print-database'.

Wyjściem programu jest komenda powłoki ustawiająca zmienną środowiskową LS_COLORS. Można wybrać składnię dla odpowiedniej powłoki z linii poleceń, albo dircolors sam ją odgadnie na podstawie zawartości zmiennej środowiskowej SHELL.

Po wykonaniu tego polecenia, `ls --color' (którego aliasem może być ls) wyświetli pliki w odpowiednich kolorach.

OPCJE

-b, --sh, --bourne-shell
    Wysłanie na wyjście komend powłoki Bourne'a. Jest to domyślne zachowanie jeśli zmienna środowiskowa SHELL jest ustawiona i nie kończy się znakami csh czy tcsh.

-c, --csh, --c-shell
    Wysłanie na wyjście komend powłoki C. Jest to domyślne zachowanie jeśli SHELL kończy się znakami csh czy tcsh.

-p, --print-database
    Wyświetlenie domyślnej (wkompilowanej) bazy danych konfiguracji kolorów. Wynik stanowi poprawny plik konfiguracyjny i dość dobrze opisuje dostępne możliwości.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

ŚRODOWISKO
Zmienne SHELL oraz TERM są używane w celu odnalezienia odpowiedniego formatu komend powłoki. Zmienne LANG, LC_ALL, LC_CTYPE oraz LC_MESSAGES mają znaczenie takie jak zwykle. Zmienna LS_COLORS jest używana w celu przekazania informacji do ls.

ZGODNOŚĆ Z
Kolorowe wyjście dla ls jest rozszerzeniem GNU.

AUTOR
Napisane przez H.Petera Anvin.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
ls(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.